.side-bar-wrap {
  display: flex;
  flex-grow: 1;

  .side-menu {
    // overflow-x: hidden;
    background: var(--dark-purple);
    width: 75vw;
    min-height: 100%;
    height: 100%;
    position: fixed;
    top: 0;
    left: 0;
    z-index: 100;
    transform: translate3d(-100vw, 0, 0);
    transition: transform 0.5s ease-out;
    display: flex;
    flex-direction: column;
    overflow-y: auto;
    text-align: center;
    justify-content: space-between;

    .menu-label {
      color: var(--violet);
      padding: 1rem 0;
      span {
        font-size: 14px;
        border-bottom: 1px solid var(--violet);
        padding-bottom: 2px;
      }
    }

    .time-tag-container {
      display: flex;
      flex-wrap: wrap;
      padding: 0 1rem;
      align-items: center;
      .time-label {
        color: white;
        font-size: 16px;
        font-weight: 600;
        margin: 1rem 0.5rem;
      }

      .later-wrap {
        width: 100%;
        display: flex;
        flex-direction: column;

        .later-label {
          color: white;
          font-size: 16px;
          font-weight: 600;
          margin: 1rem 0.5rem;
          text-align: left;
          width: fit-content;
        }
        .time-selected {
          border: 1px solid white;
          margin: 1rem 0;
          border-radius: 12px;
          padding: 0.25rem 0.75rem;
          background: var(--light-lime);
          color: var(--dark-purple);
        }

        .later-input-wrap {
          display: flex;
          flex-direction: row;
          background: white;
          color: var(--purple);
          align-items: center;

          .stripe {
            color: var(--lime);
            // margin: 0 0.5rem;
            font-size: 24px;
          }

          svg {
            margin: 0 0.5rem;
            fill: var(--lime);
            width: 20px;
          }
          input {
            color: var(--purple);
            font-family: 'Source Sans Pro', sans-serif;
            width: 90%;
            // padding: 0;
            border: 0;
            font-size: 16px;
          }
          input:focus {
            background: var(--light-lime);
            outline: none;
          }
          ::placeholder {
            color: var(--purple);
          }

          .DayPickerInput {
            color: var(--purple);
            width: 50%;
            display: flex;
            flex-direction: column;
          }
        }
      }

      .time-selected {
        border: 1px solid white;
        margin: 1rem 0;
        border-radius: 12px;
        padding: 0.25rem 0.75rem;
        background: var(--light-lime);
        color: var(--dark-purple);
      }
    }

    .channel-tag-container {
      display: flex;
      flex-wrap: wrap;
      padding: 0 1rem;
      .channel {
        border: 1px solid white;
        border-radius: 12px;
        color: white;
        font-size: 14px;
        font-weight: 600;
        margin: 0.5rem;
        padding: 0.25rem 0.75rem;
      }

      .channel-selected {
        background: var(--light-lime);
        color: var(--dark-purple);
      }
    }

    .search-btn {
      background: var(--lilac);
      display: flex;
      flex-direction: column;
      justify-content: center;
      padding: 1rem 0;
      color: var(--dark-grey);

      .search-logo {
        display: flex;
        align-items: center;
        height: 100%;
        justify-content: center;
        // width: 6%;
        // margin-right: 0.5rem;
        font-size: 18px;
        svg {
          fill: var(--dark-grey);
          margin: 0rem;
          width: 20px;
        }
        .label {
          display: flex;
          // flex-direction: column;
          align-items: center;
          height: 100%;
          // font-size: 18px;
          font-weight: 600;
        }
      }
      .selected-display {
        margin-top: 0.1rem;
        display: flex;
        justify-content: center;
        font-size: 12px;
      }
    }

    .complete {
      background: var(--lime);
      color: var(--dark-purple);

      .search-logo {
        svg {
          fill: var(--dark-purple);
        }
      }
      .selected-display {
        color: var(--purple);
      }
    }
  }

  .shadow {
    content: ' ';
    width: 25vw;
    min-height: 100%;
    height: 100%;
    position: fixed;
    top: 0;
    left: 75%;
    z-index: 1;
    transform: translate3d(-400%, 0, 0);
    transition: transform 0.5s ease-out;
    display: flex;
    flex-direction: column;
    overflow-y: auto;
  }
}

.side-menu.open,
.shadow.open {
  transform: translate3d(0vw, 0, 0);
}
